Name:           iwidgets
Version:        4.1.1
Release:        %mkrel 4
Summary:        Widget Extension for Tcl/Tk
License:        MIT
Group:          System/Libraries
URL:            https://chiselapp.com/user/rene/repository/iwidgets/index
Source0:        https://downloads.sourceforge.net/sourceforge/incrtcl/iwidgets-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(tcl)
Requires:       itk

%description
incr Widgets is an object-oriented mega-widget set that extends
Tcl/Tk and is based on incr Tcl and incr Tk.  This set of
mega-widgets delivers many new, general purpose widgets like option
menus, comboboxes, selection boxes, and various dialogs whose
counterparts are found in Motif and Windows. Since incr Widgets is
based on the incr Tk extension, the Tk framework of configuration
options, widget commands, and default bindings is maintained.  In other
words, each incr Widgets mega-widget seamlessly blends with the
standard Tk widgets. They look, act, and feel like Tk widgets. In
addition, all incr Widgets mega-widgets are object oriented and may
themselves be extended, using either inheritance or composition.


%prep
%setup -q

sed -e "s#@itcl_VERSION@#4.1.1#" -e "s#@PACKAGE_VERSION@#%{version}#" < iwidgets.tcl.in > iwidgets.tcl
sed -e "s#@PACKAGE_VERSION@#%{version}#" < pkgIndex.tcl.in > pkgIndex.tcl

%build

%install
mkdir -p %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/*.* %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 generic/tclIndex %{buildroot}%{tcl_sitelib}/%{name}%{version}
install -p -m 644 iwidgets.tcl %{buildroot}/%{tcl_sitelib}/%{name}%{version}
install -p -m 644 pkgIndex.tcl %{buildroot}/%{tcl_sitelib}/%{name}%{version}

%files
%doc license.terms README
%tcl_sitelib/%name%version


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.1.1-4.mga10
+ Revision: 2205648
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 4.1.1-3.mga9
+ Revision: 1811953
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 4.1.1-2.mga8
+ Revision: 1535464
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 daviddavid <daviddavid> 4.1.1-1.mga8
+ Revision: 1451857
- new version: 4.1.1

* Tue Sep 18 2018 umeabot <umeabot> 4.1-9.mga7
+ Revision: 1263458
- Mageia 7 Mass Rebuild

* Sun Mar 27 2016 eatdirt <eatdirt> 4.1-8.mga6
+ Revision: 995716
- Rebuilt for new itk/itcl

* Fri Feb 19 2016 umeabot <umeabot> 4.1-7.mga6
+ Revision: 970350
- Mageia 6 Mass Rebuild

* Sun Oct 04 2015 eatdirt <eatdirt> 4.1-6.mga6
+ Revision: 886128
- Rebuild for tcl8.6

* Wed Oct 15 2014 umeabot <umeabot> 4.1-5.mga5
+ Revision: 750378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1-4.mga5
+ Revision: 680592
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 4.1-3.mga4
+ Revision: 538724
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 4.1-2.mga4
+ Revision: 490244
- make this work with older Itk

* Tue Oct 01 2013 joequant <joequant> 4.1-1.mga4
+ Revision: 490105
- change group
- imported package iwidgets

